VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.UserControl ctlFileMonitor 
   BorderStyle     =   1  'Fixed Single
   ClientHeight    =   1110
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   1110
   Picture         =   "ctlFileMonitor.ctx":0000
   PropertyPages   =   "ctlFileMonitor.ctx":0B9C
   ScaleHeight     =   1110
   ScaleWidth      =   1110
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   840
      Top             =   480
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.Timer Timer1 
      Left            =   840
      Top             =   0
   End
End
Attribute VB_Name = "ctlFileMonitor"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Attribute VB_Ext_KEY = "PropPageWizardRun" ,"Yes"
Option Explicit
Option Base 0
'Default Property Values:
Const m_def_Enabled = 0
Const m_def_HideErrors = False
Const m_def_ActionType = 0
Const m_def_FileName = ""


'Property Variables:
Dim m_Enabled As Boolean
Dim m_HideErrors As Boolean
Dim m_FileName As String
'Event Declarations:
Event FileModified(ModifiedDate As String)
Event FileDeleted(DeletedDate As String)

Private lfilesystem As New FileSystemObject
Private lfile As File
Private fileVersion As String

Private Sub Timer1_Timer()
On Error GoTo Timer1_Error
If m_FileName <> "" Then
    If fileVersion = "" Then
        fileVersion = lfile.DateLastModified
    Else
        If fileVersion <> lfile.DateLastModified Then
            RaiseEvent FileModified(lfile.DateLastModified)
        End If
        fileVersion = lfile.DateLastModified
    End If
End If
Exit Sub
Timer1_Error:
    If Err.Number = 53 Then
        RaiseEvent FileDeleted(Date & " " & Time)
        Err.Clear
    End If
End Sub

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=Timer1,Timer1,-1,Interval
Public Property Get Interval() As Long
Attribute Interval.VB_Description = "Returns/sets the number of milliseconds between calls to a Timer control's Timer event."
    Interval = Timer1.Interval
End Property

Public Property Let Interval(ByVal New_Interval As Long)
    Timer1.Interval() = New_Interval
    PropertyChanged "Interval"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MemberInfo=13,0,0,
Public Property Get FileName() As String
    FileName = m_FileName
End Property

Public Property Let FileName(ByVal New_FileName As String)
On Error GoTo FileName_Error
    m_FileName = New_FileName
    PropertyChanged "FileName"
    Set lfile = lfilesystem.GetFile(m_FileName)
Exit Property
FileName_Error:
    If m_HideErrors = False Then
        If m_FileName = "" Then
            MsgBox "A File Must Be Selected To Monitor"
        Else
            MsgBox "File (" & m_FileName & ") Not Found"
        End If
        CommonDialog1.Flags = cdlOFNFileMustExist + cdlOFNPathMustExist + cdlOFNShareAware
        CommonDialog1.Filter = "Text (*.txt)|*.txt|Other (*.*)|*.*;"
        CommonDialog1.ShowOpen
        m_FileName = CommonDialog1.FileName
        If m_FileName = "" Then GoTo FileName_Error
        PropertyChanged "FileName"
    End If
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=Timer1,Timer1,-1,Enabled
Public Property Get TimerEnabled() As Boolean
Attribute TimerEnabled.VB_Description = "Returns/sets a value that determines whether an object can respond to user-generated events."
    TimerEnabled = Timer1.Enabled
End Property

Public Property Let TimerEnabled(ByVal New_TimerEnabled As Boolean)
    Timer1.Enabled() = New_TimerEnabled
    PropertyChanged "TimerEnabled"
End Property

'Initialize Properties for User Control
Private Sub UserControl_InitProperties()
    m_FileName = m_def_FileName
    m_Enabled = m_def_Enabled
    m_HideErrors = m_def_HideErrors
End Sub

'Load property values from storage
Private Sub UserControl_ReadProperties(PropBag As PropertyBag)

'    UserControl.Enabled = PropBag.ReadProperty("Enabled", True)
    Timer1.Interval = PropBag.ReadProperty("Interval", 0)
    m_FileName = PropBag.ReadProperty("FileName", m_def_FileName)
    Timer1.Enabled = PropBag.ReadProperty("TimerEnabled", True)
    m_Enabled = PropBag.ReadProperty("Enabled", m_def_Enabled)
    m_HideErrors = PropBag.ReadProperty("HideErrors", m_def_HideErrors)
End Sub

Private Sub UserControl_Resize()
UserControl.Width = 1110
UserControl.Height = 1110
End Sub

'Write property values to storage
Private Sub UserControl_WriteProperties(PropBag As PropertyBag)
'    Call PropBag.WriteProperty("Enabled", UserControl.Enabled, True)
    Call PropBag.WriteProperty("Interval", Timer1.Interval, 0)
    Call PropBag.WriteProperty("FileName", m_FileName, m_def_FileName)
    Call PropBag.WriteProperty("TimerEnabled", Timer1.Enabled, True)
    Call PropBag.WriteProperty("Enabled", m_Enabled, m_def_Enabled)
    Call PropBag.WriteProperty("HideErrors", m_HideErrors, m_def_HideErrors)
End Sub

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MemberInfo=0,0,0,0
Public Property Get Enabled() As Boolean
Attribute Enabled.VB_Description = "Returns/sets a value that determines whether an object can respond to user-generated events."
    Enabled = m_Enabled
End Property

Public Property Let Enabled(ByVal New_Enabled As Boolean)
    m_Enabled = New_Enabled
    PropertyChanged "Enabled"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MemberInfo=0,0,0,false
Public Property Get HideErrors() As Boolean
    HideErrors = m_HideErrors
End Property

Public Property Let HideErrors(ByVal New_HideErrors As Boolean)
    m_HideErrors = New_HideErrors
    PropertyChanged "HideErrors"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MemberInfo=14
Public Function About() As Variant
Load frmAbout: frmAbout.Show vbModal
End Function

