VERSION 5.00
Object = "*\A..\Files - ProjectDialogEZ\ProjectDialog.vbp"
Begin VB.Form frmTest 
   BackColor       =   &H0080FFFF&
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Form1"
   ClientHeight    =   5895
   ClientLeft      =   45
   ClientTop       =   615
   ClientWidth     =   6600
   Icon            =   "frmTest.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   5895
   ScaleWidth      =   6600
   StartUpPosition =   2  'CenterScreen
   Begin ProjectDialogCtl.ProjectDialog ProjectDialog1 
      Height          =   5895
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   6600
      _ExtentX        =   11642
      _ExtentY        =   10398
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "MS Sans Serif"
         Size            =   24
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      PathTab1        =   "C:\"
      PathTab2        =   "C:\"
   End
   Begin VB.Menu mnuTabs 
      Caption         =   "&Tabs"
      Begin VB.Menu mnuTabsChangeStyle 
         Caption         =   "Change &Style"
      End
      Begin VB.Menu mnuTabsChangeTextOnTabs 
         Caption         =   "Change &Text on Tabs"
      End
      Begin VB.Menu mnuTabsBar1 
         Caption         =   "-"
      End
      Begin VB.Menu mnuTabsToggleTab1 
         Caption         =   "ToggleTab&1"
      End
      Begin VB.Menu mnuTabsToggleTab2 
         Caption         =   "ToggleTab&2"
      End
      Begin VB.Menu mnuTabsToggleTab3 
         Caption         =   "ToggleTab&3"
      End
      Begin VB.Menu mnuTabsBar2 
         Caption         =   "-"
      End
      Begin VB.Menu mnuTabsRotate 
         Caption         =   "&Rotate"
      End
   End
   Begin VB.Menu mnuMRUEntries 
      Caption         =   "&MRU Entries"
      Begin VB.Menu mnuMRUEntriesDepth 
         Caption         =   "&Depth (4 or 5)"
      End
      Begin VB.Menu mnuMRUEntriesAdd 
         Caption         =   "&Add"
      End
      Begin VB.Menu mnuMRUEntriesQueryCount 
         Caption         =   "&Query Count"
      End
      Begin VB.Menu mnuMRUEntriesReturnValues 
         Caption         =   "&Return Values"
      End
   End
   Begin VB.Menu mnuChangePath 
      Caption         =   "Change &Path"
      Begin VB.Menu mnuChangePathGo 
         Caption         =   "&Go!"
      End
   End
   Begin VB.Menu mnuTestCaption 
      Caption         =   "Test &Caption"
      Begin VB.Menu mnuTestCaptionGo 
         Caption         =   "&Go!"
      End
   End
   Begin VB.Menu mnuOtherSettings 
      Caption         =   "&Other Settings"
      Begin VB.Menu mnuOtherSettingsShowDialogAgain 
         Caption         =   "&Show Dialog Again"
      End
      Begin VB.Menu mnuOtherSettingsDisplayCheckbox 
         Caption         =   "&Display Checkbox"
      End
      Begin VB.Menu mnuOtherSettingsBar2 
         Caption         =   "-"
      End
      Begin VB.Menu mnuOtherSettingsChangeBackColor 
         Caption         =   "Change &BackColor"
      End
   End
End
Attribute VB_Name = "frmTest"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim mintFontSize As Integer
Dim mintWidthDifferential As Integer
Dim mintHeightDifferential As Integer

Private Sub mnuChangePathGo_Click()

    With ProjectDialog1
        Select Case .TabSelected
            Case 1
                .PathTab1 = "C:\"
            Case 2
                .PathTab2 = "C:\"
            Case Else
                ' Ignore
        End Select
    End With

End Sub

Private Sub mnuOtherSettingsChangeBackColor_Click()

    Static intColorCount As Integer

    With ProjectDialog1
        Select Case intColorCount
            Case 0
                .BackColor = &HFFF0D0
            Case 1
                .BackColor = &H80FFFF
            Case 2
                .BackColor = &H9060FF
            Case 3
                .BackColor = &H8000000F
            Case Else
                ' Unexpected!
                Stop
        End Select
    End With
    
    intColorCount = (intColorCount + 1) Mod 4
    
End Sub

Private Sub mnuOtherSettingsDisplayCheckbox_Click()

    With ProjectDialog1
        .DisplayCheckbox = Not .DisplayCheckbox
    End With

End Sub

Private Sub mnuOtherSettingsShowDialogAgain_Click()

    MsgBox Format(Not ProjectDialog1.CancelDialog, "Yes/No")

End Sub

Private Sub mnuTabsChangeTextOnTabs_Click()

    Static blnNoSuffix As Boolean
    
    With ProjectDialog1
        If blnNoSuffix Then
            .CaptionTab1 = "New"
            .CaptionTab2 = "Existing"
            .CaptionTab3 = "Recent"
        Else
            .CaptionTab1 = "New Files"
            .CaptionTab2 = "Existing Files"
            .CaptionTab3 = "Recent Files"
        End If
    End With

    blnNoSuffix = Not blnNoSuffix

End Sub

Private Sub mnuTabsToggleTab1_Click()

    With ProjectDialog1
    
        ' Toggle display of currently-selected tab
        ' (Don't hide the currently-selected tab!)
        If .TabSelected = 1 Then
            Exit Sub
        Else
            .DisplayTab1 = Not .DisplayTab1
        End If
        
    End With

End Sub

Private Sub mnuTabsToggleTab2_Click()

    With ProjectDialog1
    
        ' Toggle display of currently-selected tab
        ' (Don't hide the currently-selected tab!)
        If .TabSelected = 2 Then
            Exit Sub
        Else
            .DisplayTab2 = Not .DisplayTab2
        End If
        
    End With

End Sub

Private Sub mnuTabsToggleTab3_Click()

    With ProjectDialog1
    
        ' Toggle display of currently-selected tab
        ' (Don't hide the currently-selected tab!)
        If .TabSelected = 3 Then
            Exit Sub
        Else
            .DisplayTab3 = Not .DisplayTab3
        End If
        
    End With

End Sub

Private Sub mnuTestCaptionGo_Click()

    Static intFontSize As Integer

    If intFontSize = 0 Then
        intFontSize = 12
    Else
        intFontSize = intFontSize + 2
        If intFontSize > 32 Then
            intFontSize = 12
        End If
    End If

    With ProjectDialog1
        .Caption = "Test Caption"
        .Font.Name = "Century Gothic"
        .Font.Size = intFontSize
    End With

End Sub

Private Sub ProjectDialog1_ChangeDrive(NewDrive As String, PreviousDrive As String)

    MsgBox "You changed from drive " & PreviousDrive & " to drive " & NewDrive

End Sub

Private Sub ProjectDialog1_ChangeFolder(NewFolder As String, PreviousFolder As String)

    MsgBox "You changed from folder " & PreviousFolder & " to folder " & NewFolder

End Sub

Private Sub ProjectDialog1_ClickCancel()

    MsgBox "Cancel"

End Sub

Private Sub ProjectDialog1_ClickCancelDialogCheckbox(DisplayDialog As Boolean)

    MsgBox "You just clicked the checkbox!"

End Sub

Private Sub ProjectDialog1_ClickHelp()

    MsgBox "Help"

End Sub

Private Sub ProjectDialog1_ClickOpen(FileTitle As String, FileName As String)

    MsgBox "The FileTitle is: " & FileTitle _
        & vbCrLf _
        & "The FileName is: " & FileName

End Sub

Private Sub ProjectDialog1_Error(ErrorCode As Integer, ErrorDescription As String)

    Dim strPrompt As String
    
    strPrompt = ErrorDescription _
        & vbCrLf _
        & " (ErrorCode " & CStr(ErrorCode) & ")"
    MsgBox strPrompt, , App.Title & " - Error Message"

End Sub

Private Sub ProjectDialog1_Resize(NewWidth As Single, NewHeight As Single)

    Me.Width = NewWidth + mintWidthDifferential
    Me.Height = NewHeight + mintHeightDifferential
    Me.Move (Screen.Width - Me.Width) \ 2, (Screen.Height - Me.Height) \ 2

End Sub

Private Sub Form_Load()

    With Me
        
        ' Calculate space used by titlebar and menus
        mintWidthDifferential = .Width - .ScaleWidth
        mintHeightDifferential = .Height - .ScaleHeight
        
        ' Set form's initial size
        .Width = ProjectDialog1.Width + mintWidthDifferential
        .Height = ProjectDialog1.Height + mintHeightDifferential

    End With

    With ProjectDialog1
        .Alignment = 2
        .Caption = "The Software Corporation"
        .Font.Name = "Century Gothic"
        .Font.Size = 22
        .ForeColor = &HA06040
        .MRU_UBound = 4
        .Style = 1
    End With

End Sub

Private Sub mnuMRUEntriesAdd_Click()

    Static intCount As Integer

    Dim file_title As String
    Dim file_name As String
    
    intCount = intCount + 1
    
    file_title = "A" & CStr(intCount) & ".bmp"
    file_name = "C:\A" & CStr(intCount) & ".bmp"
    
    ProjectDialog1.MRU_Add file_title, file_name

End Sub

Private Sub mnuMRUEntriesDepth_Click()

    With ProjectDialog1
    
        .MRU_UBound = 9 - .MRU_UBound
        
    End With

End Sub

Private Sub mnuMRUEntriesQueryCount_Click()

    MsgBox ProjectDialog1.MRU_Count

End Sub

Private Sub mnuMRUEntriesReturnValues_Click()

    Dim strIndex As String
    Dim intIndex As Integer

    With ProjectDialog1
    
        strIndex = InputBox("Enter index from between 1 and " & .MRU_Count & "...")
    
        If Not IsNumeric(strIndex) Then
            Exit Sub
        End If
    
        intIndex = CInt(strIndex)
    
        If intIndex < 1 Or intIndex > .MRU_Count Then
            Exit Sub
        End If

        MsgBox .MRU_FileTitle(intIndex)
        MsgBox .MRU_FileName(intIndex)
        
    End With

End Sub

Private Sub mnuTabsChangeStyle_Click()

    With ProjectDialog1
    
        .Style = 1 - .Style
        
    End With

End Sub

Private Sub mnuTabsRotate_Click()

    Dim intTabSelected As Integer

    With ProjectDialog1

        If Not .DisplayTab1 And Not .DisplayTab2 And Not .DisplayTab3 Then
            Exit Sub
        End If

        intTabSelected = .TabSelected

        Select Case intTabSelected
            Case 1
                If .DisplayTab2 Then
                    .TabSelected = 2
                ElseIf .DisplayTab3 Then
                    .TabSelected = 3
                ElseIf .DisplayTab1 Then
                    .TabSelected = 1
                Else
                    ' Unexpected!
                    Stop
                End If
            Case 2
                If .DisplayTab3 Then
                    .TabSelected = 3
                ElseIf .DisplayTab1 Then
                    .TabSelected = 1
                ElseIf .DisplayTab2 Then
                    .TabSelected = 2
                Else
                    ' Unexpected!
                    Stop
                End If
            Case 3
                If .DisplayTab1 Then
                    .TabSelected = 1
                ElseIf .DisplayTab2 Then
                    .TabSelected = 2
                ElseIf .DisplayTab3 Then
                    .TabSelected = 3
                Else
                    ' Unexpected!
                    Stop
                End If
            Case Else
                ' Unexpected!
                Stop
        End Select

    End With

End Sub

