VERSION 5.00
Begin VB.UserControl TextButton 
   BorderStyle     =   1  'Fixed Single
   ClientHeight    =   330
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   2055
   DefaultCancel   =   -1  'True
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ScaleHeight     =   330
   ScaleWidth      =   2055
   ToolboxBitmap   =   "TextButton.ctx":0000
   Begin VB.CommandButton Command1 
      Default         =   -1  'True
      Height          =   315
      Left            =   1560
      Picture         =   "TextButton.ctx":0312
      Style           =   1  'Graphical
      TabIndex        =   0
      TabStop         =   0   'False
      Top             =   0
      UseMaskColor    =   -1  'True
      Width           =   300
   End
   Begin VB.TextBox Text1 
      BorderStyle     =   0  'None
      Height          =   195
      Left            =   60
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      TabIndex        =   1
      Text            =   "TextButton.ctx":0460
      Top             =   30
      Width           =   1215
   End
   Begin VB.Line Line1 
      BorderColor     =   &H80000016&
      X1              =   1440
      X2              =   1440
      Y1              =   0
      Y2              =   315
   End
End
Attribute VB_Name = "TextButton"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

Public Event Click()


Public Property Get Enabled() As Boolean
  Enabled = Command1.Enabled
End Property
Public Property Let Enabled(ByVal blnNewValue As Boolean)
  Command1.Enabled = blnNewValue
  Text1.Enabled = blnNewValue
End Property


Public Property Get Caption() As String
  Caption = Text1.Text
End Property
Public Property Let Caption(ByVal strNewValue As String)
  Text1.Text = strNewValue
  UserControl_Resize
End Property


Public Property Get Width() As Long
  Width = UserControl.Width
End Property
Public Property Let Width(ByVal lngNewValue As Long)
  UserControl.Width = lngNewValue
  UserControl_Resize
End Property


Private Sub Command1_Click()
  RaiseEvent Click
End Sub

Private Sub Text1_Change()
  UserControl_Resize
End Sub

Private Sub Text1_GotFocus()
  With Text1
    .SelStart = 0
    .SelLength = Len(.Text)
  End With
End Sub

Private Sub UserControl_Initialize()
  UserControl.BackColor = Text1.BackColor
End Sub

Private Sub UserControl_Resize()
  
  Dim lngCommandLeft As Long
  
  With UserControl
    If .Height <> 315 Then .Height = 315
    
    lngCommandLeft = .ScaleWidth - .ScaleHeight
    Command1.Move lngCommandLeft, .ScaleTop, .ScaleHeight, .ScaleHeight

    lngCommandLeft = lngCommandLeft
    Line1.X1 = lngCommandLeft - 10
    Line1.X2 = lngCommandLeft - 10
    Text1.Width = UserControl.TextWidth(Text1.Text)
    If Text1.Width > lngCommandLeft Then
      Text1.Left = lngCommandLeft - Text1.Width
    Else
      Text1.Left = 60
    End If
  End With

End Sub

Private Sub UserControl_InitProperties()
  Caption = Extender.Name
  Enabled = True
  Width = 3000
End Sub

Private Sub UserControl_ReadProperties(PropBag As PropertyBag)
  Caption = PropBag.ReadProperty("Caption", Extender.Name)
  Enabled = PropBag.ReadProperty("Enabled", True)
  Width = PropBag.ReadProperty("Width", 3000)
End Sub

Private Sub UserControl_WriteProperties(PropBag As PropertyBag)
  Call PropBag.WriteProperty("Caption", Caption, Extender.Name)
  Call PropBag.WriteProperty("Enabled", Enabled, True)
  Call PropBag.WriteProperty("Width", Width, 3000)
End Sub
